-- ============================================================================
-- Copyright (C) 2021	 Open-DSI 	 <support@open-dsi.fr>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <http://www.gnu.org/licenses/>.
-- ===========================================================================

UPDATE `llx_actioncomm` AS ac
 LEFT JOIN `llx_c_actioncomm` AS cac ON cac.id = ac.fk_action
 LEFT JOIN `llx_projet_task` AS pt ON pt.rowid = ac.fk_element AND ac.elementtype = 'projet_task'
 SET ac.fk_action = '163001'
 SET ac.elementtype = 'task'
 WHERE cac.code = 'AC_TASK'
 AND ac.datec BETWEEN pt.datec AND DATE_ADD(pt.datec, INTERVAL 10 second);
